package com.xhpc.charging.station.mapper;

import com.xhpc.common.domain.XhpcPileEdition;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2022/8/30 14:15
 */
public interface XhpcPileEditionMapper {

    List<Map<String, Object>> list(@Param("chargingStationId")Long chargingStationId,@Param("chargingPileIds") List chargingPileIds,@Param("logOperatorId")Long logOperatorId, @Param("type")Integer type, @Param("tenantId")String tenantId);

    /**
     *
     * @param pileEditionId
     * @param chargingPileIds
     * @param type                   1是去掉自己
     * @return
     */
    int getXhpcPileEditions(@Param("pileEditionId")Long pileEditionId,@Param("chargingPileIds") List chargingPileIds,@Param("type")Integer type);

    int insertXhpcPileEdition(XhpcPileEdition xhpcPileEdition);

    int updatePileEdition(XhpcPileEdition xhpcPileEdition);

    XhpcPileEdition getXhpcPileEditionById(@Param("pileEditionId")Long pileEditionId);

    List<Map<String, Object>> getChargingPileList(@Param("chargingStationId")Long chargingStationId);
}
